## xgalaga++ 0.8.2

=== Makefile ===
# Makefile for single executable C++ project with auto-dependencies and
# multiple build options
# Copyright (C) 2000-2003 Marc Mongenet

###############################################################################
# PROJECT SPECIFIC DEFINITIONS
###############################################################################

# name of file to build
EXE = xgalaga++

# name of manual (leave empty if none)
MANUAL = xgalaga++.6x

# source files suffix (all source files must have the same suffix)
SOURCE_SUFFIX = cc

# C++ compiler
CXX = g++

# source files directory
srcdir = .

# build directory
builddir = .

# installation directories
installprefix = /usr
bindir = $(installprefix)/games
mandir = $(installprefix)/share/man/man6

# preprocessor options to find all included files
INC_PATH = -I$(srcdir) -I/usr/X11R6/include

# libraries link options ('-lm' is common to link with the math library)
LNK_LIBS = -lm -lX11 -lXpm -L/usr/X11R6/lib/

# other compilation options
# The high scores file is only writable by the executable and shared
# by all players.
HIGH_SCORES_FILE=/var/games/xgalaga++.scores
#HIGH_SCORES_FILE=.xgalaga++.scores

# This group is used for the executable and high scores file.
# The executable is setgid.
EXE_GROUP=games

COMPILE_OPTS = -DHIGH_SCORES_FILE=$(HIGH_SCORES_FILE)

# basic compiler warning options (for GOAL_EXE)
BWARN_OPTS = -Wall -ansi

# extented compiler warning options (for GOAL_DEBUG)
EWARN_OPTS = $(BWARN_OPTS) -pedantic -W\
	     -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align\
	     -Wwrite-strings -Woverloaded-virtual -Winline

###############################################################################
# INTERNAL DEFINITIONS
# The following definitions are designed to be project neutral.
###############################################################################

# You may freely change the following goal names if you dislike them.
GOAL_DEBUG = debug
GOAL_PROF = prof
GOAL_EXE = all

# build options for GOAL_DEBUG (executable for debugging) goal
ifeq "$(MAKECMDGOALS)" "$(GOAL_DEBUG)"

 # specific options for debugging
 GOAL_OPTS = -g
 # compilation verification options
 WARN_OPTS = $(EWARN_OPTS)
 # optimization options
 OPTIMISE_OPTS =
 # dependencies must be up to date
 CHECK_DEPS = yes

else

 # build options for GOAL_PROF (executable for profiling) goal
 ifeq "$(MAKECMDGOALS)" "$(GOAL_PROF)"

  # specific options for profiling
  GOAL_OPTS = -pg
  # compilation verification options
  WARN_OPTS = $(BWARN_OPTS)
  # optimization options
  OPTIMISE_OPTS = -O
  # dependencies must be up to date
  CHECK_DEPS = yes

 else

  # build options for GOAL_EXE (optimized executable) goal
  ifeq "$(MAKECMDGOALS)" "$(GOAL_EXE)"

   # specific options for optimized executable
   GOAL_OPTS = -s
   # compilation verification options
   WARN_OPTS = $(BWARN_OPTS)
   # optimization options
   OPTIMISE_OPTS = -Os -fomit-frame-pointer
   # dependencies must be up to date
   CHECK_DEPS = yes

  else

   # Other goals do not require up to date dependencies.
   CHECK_DEPS = no

  endif
 endif
endif

# preprocessor options
CPPOPTS = $(INC_PATH)

# compiler options
CXXOPTS = $(GOAL_OPTS) $(COMPILE_OPTS) $(WARN_OPTS) $(OPTIMISE_OPTS)

# linker options
LDOPTS = $(GOAL_OPTS) $(LNK_LIBS)

# source files in this project
sources := $(wildcard $(srcdir)/*.$(SOURCE_SUFFIX))

# object files in this project
objs := $(notdir $(sources))
objs := $(addprefix $(builddir)/, $(objs))
objs := $(objs:.$(SOURCE_SUFFIX)=.o)

# executable with full path
exe = $(builddir)/$(EXE)

# This makefile creates and includes makefiles containing actual dependencies.
# For every source file a dependencies makefile is created and included.
# The deps variable contains the list of all dependencies makefiles.
deps_suffix = d
deps := $(objs:.o=.$(deps_suffix))

# To detect goal changes (for instance from GOAL_DEBUG to GOAL_EXE)
# between invocations, this makefile creates an empty file (the goal flag
# file) which suffix is the goal name.
goal_flag_file_prefix = $(builddir)/Last_make_goal_was_
goal_flag_file = $(goal_flag_file_prefix)$(MAKECMDGOALS)

###############################################################################
# TARGETS
###############################################################################

# Delete the target file of a rule if the command used to update it failed.
# Do that because the newly generated target file may be corrupted but appear
# up to date.
.DELETE_ON_ERROR:

# Clear default suffix list to disable all implicit rules.
.SUFFIXES:

# usage message for this makefile
.PHONY:	usage
usage:
	@echo "GOAL	EFFECT"
	@echo "----	------"
	@echo "usage	print this message"
	@echo "list	list the source files"
	@echo "$(GOAL_EXE)	build the executable"
	@echo "$(GOAL_DEBUG)	build the executable with debug options"
	@echo "$(GOAL_PROF)	build the executable with profiling options"
	@echo "clean	remove all built files"

# If source files exist then build the EXE file.
.PHONY:	$(GOAL_EXE)
ifneq "$(strip $(sources))" ""
$(GOAL_EXE):	$(exe)
else
$(GOAL_EXE):
	@echo "No source file found."
endif

# GOAL_DEBUG and GOAL_PROF targets use the same rules than GOAL_EXE.
.PHONY:	$(GOAL_DEBUG)
$(GOAL_DEBUG):	$(GOAL_EXE)

.PHONY:	$(GOAL_PROF)
$(GOAL_PROF):	$(GOAL_EXE)

###############################################################################
# BUILDING
# Note: CPPFLAGS, CXXFLAGS or LDFLAGS are not used but may be specified by the
# user at make invocation.
###############################################################################

# linking
$(exe):	$(objs)
	$(CXX) $^ -o $@ $(LDOPTS) $(LDFLAGS)

# explicit definition of the implicit rule used to compile source files
$(builddir)/%.o:	$(srcdir)/%.$(SOURCE_SUFFIX)
	$(CXX) -c $< $(CPPOPTS) $(CXXOPTS) $(CPPFLAGS) $(CXXFLAGS) -o $@

# Rule to build our included dependencies makefiles.
# This rule is used by GNU Make because it automatically tries to (re)build
# obsolete or non-existent included makefiles.
# These files are created with one line of the form:
# 1.o 1.d: $(goal_flag_file) 1.cc 1.h 2.h 3.h g.h
# The implicit rule previously defined will be used for compilation.
# Note that the dependencies can be goal specific.
# The goal_flag_file is determined at run time because it must be the current
# goal and not the goal in use when the dependencies makefile was created.
$(builddir)/%.$(deps_suffix):	$(srcdir)/%.$(SOURCE_SUFFIX) $(goal_flag_file)
	$(SHELL) -ec '$(CXX) -MM $(CPPOPTS) $(CPPFLAGS) $< |\
	sed '\''s@\($*\)\.o[ :]*@$(builddir)/\1.o $@: $$(goal_flag_file) @g'\'' > $@;\
	[ -s $@ ] || rm -f $@'

# If dependencies have to be up to date then include dependencies makefiles.
ifeq "$(CHECK_DEPS)" "yes"
 ifneq "$(strip $(sources))" ""
  include $(deps)
 endif
endif

# Rule to produce the goal flag file.
# If the goal has changed then we must rebuild on a clean state because
# pre-processor DEFINE's may have changed.
$(goal_flag_file):
	rm -f $(exe) $(goal_flag_file_prefix)* $(objs) $(deps)
	touch $@

###############################################################################
# NON-BUILD TARGETS
###############################################################################

# List the source files
.PHONY:	list
list:
	@echo $(sources) | tr [:space:] \\n

# Remove all files that are normally created by building the program.
.PHONY:	clean
clean:
	rm -f $(exe) $(goal_flag_file_prefix)* $(objs) $(deps)

###############################################################################
# INSTALLATION TARGETS
###############################################################################

# Installation procedure
# Customized for XGalaga++
install:
	cp $(EXE) $(bindir)
	if [ -n "$(MANUAL)" ]; then cp $(MANUAL) $(mandir); fi
	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(bindir)/$(EXE); fi
	chmod g+s $(bindir)/$(EXE)
	touch $(HIGH_SCORES_FILE)
	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(HIGH_SCORES_FILE); fi
	chmod 664 $(HIGH_SCORES_FILE)

=== debian/changelog ===
xgalaga++ (0.8.2-1) unstable; urgency=low

  * New upstream.
  * debian/copyright:
    - Use DEP-5 format.
  * debian/pachages/debian-changes-0.8.1-1: Removed.
  * debian/pachages/fix_man_section: Added.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Mar 2011 15:08:14 +0900

xgalaga++ (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #536138)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 03 Dec 2010 14:40:43 +0900

=== debian/control ===
Source: xgalaga++
Section: games
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev
Standards-Version: 3.9.1
Homepage: http://marc.mongenet.ch/OSS/XGalaga/
#Vcs-Git: git://git.debian.org/collab-maint/xgalaga++.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xgalaga++.git;a=summary

Package: xgalaga++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a classic single screen vertical shooter, inspired by xgalaga
 XGalaga++ is a classic vertical scrolling shoot'em up. It requires no X
 Window extension and its window is freely resizable. It is inspired by
 XGalaga, but rewritten from scratch, except for the graphics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR:=$(CURDIR)/debian/xgalaga++
%:
	dh $@ 


override_dh_auto_build:
	dh_auto_build -- all

override_dh_auto_install:
	dh_auto_install -- installprefix=$(CURDIR)/debian/xgalaga++/usr \
		HIGH_SCORES_FILE=$(CURDIR)/debian/xgalaga++/var/games/xgalaga++.scores

override_dh_fixperms:
	dh_fixperms
	chgrp games $(DESTDIR)/usr/games/xgalaga++
	chmod g+s   $(DESTDIR)/usr/games/xgalaga++
	chgrp games $(DESTDIR)/var/games/xgalaga++.scores
	chmod 664   $(DESTDIR)/var/games/xgalaga++.scores

## xgalaga++ 0.8.3

=== debian/changelog ===
xgalaga++ (0.8.3-1) unstable; urgency=low

  * Imported Upstream version 0.8.3
  * change Maintainer to Games Team.
  * Standards-Version: 3.9.3
    + debian/copyright: copyright-format 1.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 13:06:11 +0900

=== debian/control ===
Source: xgalaga++
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev
Standards-Version: 3.9.3
Homepage: http://marc.mongenet.ch/OSS/XGalaga/
#Vcs-Git: git://git.debian.org/collab-maint/xgalaga++.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xgalaga++.git;a=summary

Package: xgalaga++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: classic single screen vertical shooter, inspired by xgalaga
 XGalaga++ is a classic vertical scrolling shoot'em up. It requires no X
 Window extension and its window is freely resizable. It is inspired by
 XGalaga, but rewritten from scratch, except for the graphics.

## xgalaga++ 0.8.4

=== Makefile ===
--- 
+++ 
@@ -30,10 +30,10 @@
 mandir = $(installprefix)/share/man/man6
 
 # preprocessor options to find all included files
-INC_PATH = -I$(srcdir) -I/usr/X11R6/include
+INC_PATH = -I$(srcdir) -I/usr/local/include
 
 # libraries link options ('-lm' is common to link with the math library)
-LNK_LIBS = -lm -lX11 -lXpm -L/usr/X11R6/lib/
+LNK_LIBS = -lm -lX11 -lXpm -L/usr/local/lib/
 
 # other compilation options
 # The high scores file is only writable by the executable and shared
@@ -161,14 +161,16 @@
 # usage message for this makefile
 .PHONY:	usage
 usage:
-	@echo "GOAL	EFFECT"
-	@echo "----	------"
-	@echo "usage	print this message"
-	@echo "list	list the source files"
-	@echo "$(GOAL_EXE)	build the executable"
-	@echo "$(GOAL_DEBUG)	build the executable with debug options"
-	@echo "$(GOAL_PROF)	build the executable with profiling options"
-	@echo "clean	remove all built files"
+	@echo "GOAL      EFFECT"
+	@echo "----      ------"
+	@echo "usage     print this message"
+	@echo "list      list the source files"
+	@echo "$(GOAL_EXE)       build the executable"
+	@echo "$(GOAL_DEBUG)     build the executable with debug options"
+	@echo "$(GOAL_PROF)      build the executable with profiling options"
+	@echo "clean     remove all built files"
+	@echo "install   remove all built files"
+	@echo "uninstall remove all built files"
 
 # If source files exist then build the EXE file.
 .PHONY:	$(GOAL_EXE)
@@ -256,3 +258,8 @@
 	touch $(HIGH_SCORES_FILE)
 	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(HIGH_SCORES_FILE); fi
 	chmod 664 $(HIGH_SCORES_FILE)
+
+.PHONY:	uninstall
+uninstall:
+	rm $(bindir)/$(EXE)
+	rm $(mandir)/$(MANUAL)

=== debian/changelog ===
xgalaga++ (0.8.4-1) unstable; urgency=medium

  * Imported Upstream version 0.8.4
  * Standards-Version 3.9.5

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 24 Dec 2013 11:41:16 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxpm-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://marc.mongenet.ch/OSS/XGalaga/
 #Vcs-Git: git://git.debian.org/collab-maint/xgalaga++.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/xgalaga++.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DESTDIR:=$(CURDIR)/debian/xgalaga++
 %:
-	dh $@ 
+	dh $@ --buildsystem=makefile
 
 
 override_dh_auto_build:

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://marc.mongenet.ch/OSS/XGalaga/ xgalaga\+\+_([^_]*)\.tar\.gz

## xgalaga++ 0.9

=== Makefile ===
--- 
+++ 
@@ -169,8 +169,8 @@
 	@echo "$(GOAL_DEBUG)     build the executable with debug options"
 	@echo "$(GOAL_PROF)      build the executable with profiling options"
 	@echo "clean     remove all built files"
-	@echo "install   remove all built files"
-	@echo "uninstall remove all built files"
+	@echo "install   install executable, manual, and high scores files"
+	@echo "uninstall remove executable and manual files"
 
 # If source files exist then build the EXE file.
 .PHONY:	$(GOAL_EXE)

=== debian/changelog ===
xgalaga++ (0.9-3) unstable; urgency=medium

  * Team Upload

  [ Niels Thykier ]
  * Declare the explicit requirement for (fake)root

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 00:20:18 +0100

xgalaga++ (0.9-2) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Jan 2018 00:14:37 +0900

xgalaga++ (0.9-1) unstable; urgency=medium

  * New upstream version 0.9
  * debian/patches/fix_man_section: Refresh
  * Bump Standards-Version to 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:01:19 +0900

xgalaga++ (0.8.4-3) unstable; urgency=medium

  * debian/patches: Add reproducible_build.patch.
  * debian/compat: Bump to 10
  * Bump Standards-Version to 4.0.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 05 Jul 2017 21:31:22 +0900

xgalaga++ (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * Maintain the package in a Git repository to comply with the Games Team
    policy.
  * wrap-and-sort -sa.
  * Set priority to optional.
  * Declare compliance with Debian Policy 3.9.6.
  * Provide new hicolor icon and desktop file. (Closes: #726903)

 -- Markus Koschany <apo@debian.org>  Sat, 12 Dec 2015 12:48:34 +0100

=== debian/control ===
Source: xgalaga++
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxpm-dev
Standards-Version: 4.1.3
Homepage: https://marc.mongenet.ch/OSS/XGalaga/
Vcs-Git: https://salsa.debian.org/games-team/xgalagapp.git
Vcs-Browser: https://salsa.debian.org/games-team/xgalagapp
Rules-Requires-Root: binary-targets

Package: xgalaga++
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: classic single screen vertical shooter, inspired by xgalaga
 XGalaga++ is a classic vertical scrolling shoot'em up. It requires no X
 Window extension and its window is freely resizable. It is inspired by
 XGalaga, but rewritten from scratch, except for the graphics.

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,3 @@
 	chmod g+s   $(DESTDIR)/usr/games/xgalaga++
 	chgrp games $(DESTDIR)/var/games/xgalaga++.scores
 	chmod 664   $(DESTDIR)/var/games/xgalaga++.scores
-

=== debian/watch ===
version=4
http://marc.mongenet.ch/OSS/XGalaga/ xgalaga\+\+_([^_]*)\.tar\.gz
